Package com.evopdf

# Enum ViewerTextOrder

java.lang.Object
java.lang.Enum<ViewerTextOrder>
com.evopdf.ViewerTextOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewerTextOrder>`, `java.lang.constant.Constable`

public enum ViewerTextOrder extends Enum<ViewerTextOrder>
Used in `ViewerPreferences` to specify the predominant reading order for text

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `L2R`
  Left to right
  `R2L`
  Right to left ( including vertical writing systems such as Chinese, Japanese, and Korean )

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ViewerTextOrder`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ViewerTextOrder[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### L2R

    public static final ViewerTextOrder L2R
    Left to right

  - ### R2L

    public static final ViewerTextOrder R2L
    Right to left ( including vertical writing systems such as Chinese, Japanese, and Korean )

- ## Method Details

  - ### values

    public static ViewerTextOrder[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ViewerTextOrder valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()